<div class="pt-e-lg-20"></div>
<div class="title-box">
    <h4 class="title h3">New Playlists</h4>
</div>
<div xmlns:th="http://www.thymeleaf.org"
     xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
     class="row auto-columns viewport-animate" data-animation="slideUp" data-animation-item=".col-auto"
     data-responsive-width="0:100%|300:50%|560:33%|820:25%|980:20%|1240:16.66%|1500:14.2858%">
    <div class="col-auto" th:each="playlist : ${playlists}">
        <div class="music-img-box mb-e-30 mb-e-lg-40">
            <div class="img-box box-rounded-sm">
                <img class="retina"
                     th:src="@{__${playlist.getPicture()}__}"
                     data-2x="assets/images/new-releases/new-releases-44@2x.jpg" alt="">
                <div class="hover-state">
                    <div class="absolute-bottom-left pl-e-20 pb-e-20">
                        <span class="pointer play-btn-dark round-btn" id="playButton"
                              th:data-playlist="${playlist.getId()}"><i class="play-icon"></i></span>
                    </div>
                    <div class="absolute-top-right pr-e-20 pt-e-20">
                        <span class="pointer dropdown-menu-toggle"><span class="adonis-icon icon-4x"><svg
                                xmlns="http://www.w3.org/2000/svg" version="1.1"><use
                                xlink:href="#icon-horizontal-dots"></use></svg></span></span>
                    </div>
                </div>
            </div>
            <h6 class="title playlist-title"><a th:href="@{/playlist/__${playlist.getId()}__/}"
                                                th:text="${playlist.getTitle()}"
                                                th:data-playlist="${playlist.getId()}">Roll n Peace Remix</a></h6>
            <p class="sub-title category"><a href="#" th:text="'Duration: ' + ${playlist.getDuration()/60}+' min'">Imagine</a></p>
            <p class="sub-title category">
                <a  th:onclick="|window.location.href='/user-profile/${playlist.getCreator().getId()}'|"
                   th:text="${playlist.getCreator().getFirstName() + ' ' + playlist.getCreator().getLastName()}">Imagine</a>
            </p>
        </div>
    </div>
</div>

<div class="pagination" xmlns:th="http://www.thymeleaf.org">
    <ul>
        <li class="prev" th:if="${currentPage > 0}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#browse-playlists"
               th:attr="data-content='/playlists.html?page=' + ${currentPage - 1}">&lt;</a></li>
        <li th:if="${currentPage > 0}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#browse-playlists"
               th:text="'First'"
               th:attr="data-content='/playlists.html?page=' + '0'">First</a></li>
        <li th:if="${currentPage - 3 >= 0}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#browse-playlists"
               th:text="${currentPage - 2}"
               th:attr="data-content='/playlists.html?page=' + ${currentPage - 3}">-3</a></li>
        <li th:if="${currentPage - 2 >= 0}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#browse-playlists"
               th:text="${currentPage - 1}"
               th:attr="data-content='/playlists.html?page=' + ${currentPage - 2}">-2</a></li>
        <li th:if="${currentPage - 1 >= 0}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#browse-playlists"
               th:text="${currentPage}"
               th:attr="data-content='/playlists.html?page=' + ${currentPage - 1}">-1</a></li>
        <li class="active">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#browse-playlists"
               th:text="${currentPage + 1}"
               th:attr="data-content='/playlists.html?page=' + ${currentPage}">Current</a></li>
        <li th:if="${currentPage + 1 < playlistsPages}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#browse-playlists"
               th:text="${currentPage + 2}"
               th:attr="data-content='/playlists.html?page=' + ${currentPage + 1}">+1</a></li>
        <li th:if="${currentPage + 2 < playlistsPages}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#browse-playlists"
               th:text="${currentPage + 3}"
               th:attr="data-content='/playlists.html?page=' + ${currentPage + 2}">+2</a></li>
        <li th:if="${currentPage + 3 < playlistsPages}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#browse-playlists"
               th:text="${currentPage + 4}"
               th:attr="data-content='/playlists.html?page=' + ${currentPage + 3}">+3</a></li>
        <li th:if="${currentPage < playlistsPages - 1}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#browse-playlists"
               th:text="'Last'"
               th:attr="data-content='/playlists.html?page=' + ${playlistsPages - 1}">LAST</a></li>
        <li class="next" th:if="${currentPage < playlistsPages - 1}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#browse-playlists"
               th:attr="data-content='/playlists.html?page=' + ${currentPage + 1}">&gt;</a></li>
    </ul>
</div>